## coq-record-update 0.3.4

=== Makefile ===
## this Makefile, as well as the test setup in Makefile.coq.local, is copied
## from std++ (https://gitlab.mpi-sws.org/iris/stdpp)

# Forward most targets to Coq makefile (with some trick to make this phony)
%: Makefile.coq phony
	+@$(MAKE) -f Makefile.coq $@

all: Makefile.coq
	+@$(MAKE) -f Makefile.coq all
.PHONY: all

clean: Makefile.coq
	+@$(MAKE) -f Makefile.coq clean
	find src tests \( -name "*.d" -o -name "*.vo" -o -name "*.vo[sk]" -o -name "*.aux" -o -name "*.cache" -o -name "*.glob" -o -name "*.vio" \) -print -delete || true
	rm -f Makefile.coq .lia.cache
.PHONY: clean

# Create Coq Makefile.
Makefile.coq: _CoqProject Makefile
	"$(COQBIN)coq_makefile" -f _CoqProject -o Makefile.coq

# Install build-dependencies
build-dep/opam: opam Makefile
	@echo "# Creating build-dep package."
	@mkdir -p build-dep
	@sed <opam -E 's/^(build|install|remove):.*/\1: []/; s/^name: *"(.*)" */name: "\1-builddep"/' >build-dep/opam
	@fgrep builddep build-dep/opam >/dev/null || (echo "sed failed to fix the package name" && exit 1) # sanity check

build-dep: build-dep/opam phony
	@# We want opam to not just instal the build-deps now, but to also keep satisfying these
	@# constraints.  Otherwise, `opam upgrade` may well update some packages to versions
	@# that are incompatible with our build requirements.
	@# To achieve this, we create a fake opam package that has our build-dependencies as
	@# dependencies, but does not actually install anything itself.
	@echo "# Installing build-dep package."
	@opam install $(OPAMFLAGS) build-dep/

# Some files that do *not* need to be forwarded to Makefile.coq
Makefile: ;
_CoqProject: ;
opam: ;

# Phony wildcard targets
phony: ;
.PHONY: phony

## coq-record-update 0.3.1

=== debian/changelog ===
coq-record-update (0.3.1-2) unstable; urgency=medium

  * Change b-dep from libcoq-ocaml-dev to libcoq-core-ocaml-dev.

 -- Julien Puydt <jpuydt@debian.org>  Wed, 25 Jan 2023 08:31:30 +0100

coq-record-update (0.3.1-1) unstable; urgency=medium

  * Initial release. (Closes: #1015165)

 -- Julien Puydt <jpuydt@debian.org>  Sun, 17 Jul 2022 00:44:42 +0200

=== debian/control ===
Source: coq-record-update
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders: Julien Puydt <jpuydt@debian.org>
Section: ocaml
Priority: optional
Standards-Version: 4.6.1
Rules-Requires-Root: no
Build-Depends: coq,
               debhelper-compat (= 13),
               dh-coq,
               dh-ocaml,
               libcoq-core-ocaml-dev,
               libcoq-stdlib
Vcs-Browser: https://salsa.debian.org/ocaml-team/coq-record-update
Vcs-Git: https://salsa.debian.org/ocaml-team/coq-record-update.git
Homepage: https://github.com/tchajed/coq-record-update

Package: libcoq-record-update
Architecture: any
Depends: ${coq:Depends}, ${misc:Depends}
Provides: ${coq:Provides}
Description: automatic record fields updaters for Coq
 This package provides an automatic and generic way
 to update record fields in Coq.
 .
 Coq is a proof assistant for higher-order logic.

## coq-record-update 0.3.2

=== debian/changelog ===
coq-record-update (0.3.2-1build3) noble; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 23 Nov 2023 00:41:51 +0100

coq-record-update (0.3.2-1build2) noble; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 06 Nov 2023 17:12:36 +0100

coq-record-update (0.3.2-1build1) mantic; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 26 Jul 2023 07:11:27 +0200

coq-record-update (0.3.2-1) unstable; urgency=medium

  * New upstream release.
  * Bump standards-version to 4.6.2.

 -- Julien Puydt <jpuydt@debian.org>  Mon, 12 Jun 2023 19:32:50 +0200

## coq-record-update 0.3.3

=== debian/changelog ===
coq-record-update (0.3.3-1build4) noble; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 08 Apr 2024 09:14:48 +0200

coq-record-update (0.3.3-1build3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 17:55:17 +0000

coq-record-update (0.3.3-1build2) noble; urgency=medium

  * No-change rebuild for new libcoq-stdlib ABI

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 24 Mar 2024 00:14:45 +0000

coq-record-update (0.3.3-1build1) noble; urgency=medium

  * Rebuild against latest coq

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 22 Dec 2023 21:23:42 -0500

coq-record-update (0.3.3-1) unstable; urgency=medium

  * Fix d/rules clean target (Closes: #1044808).
  * New upstream release.

 -- Julien Puydt <jpuydt@debian.org>  Thu, 21 Dec 2023 16:03:50 +0100

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: coq-record-update
-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders: Julien Puydt <jpuydt@debian.org>
 Section: ocaml
 Priority: optional
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Build-Depends: coq,
                debhelper-compat (= 13),

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with coq

override_dh_auto_clean:
	make clean
	rm -f Makefile.coq.conf

override_dh_auto_install:
	make install DESTDIR=$(CURDIR)/debian/tmp

=== debian/tests/control ===
Test-Command: coqtop -batch -rifrom RecordUpdate RecordUpdate
Depends: coq, @

## coq-record-update 0.3.4

=== debian/changelog ===
coq-record-update (0.3.4-4) unstable; urgency=medium

  * Fix autopkg test.

 -- Julien Puydt <jpuydt@debian.org>  Sat, 23 Nov 2024 16:27:38 +0100

coq-record-update (0.3.4-3) unstable; urgency=medium

  * Team upload
  * Do not hardcode /usr/lib/ocaml

 -- Stéphane Glondu <glondu@debian.org>  Sat, 03 Aug 2024 17:34:17 +0200

coq-record-update (0.3.4-2) unstable; urgency=medium

  * Fix target distribution.

 -- Julien Puydt <jpuydt@debian.org>  Fri, 26 Apr 2024 15:46:08 +0200

coq-record-update (0.3.4-1) binary; urgency=medium

  * New upstream release.

 -- Julien Puydt <jpuydt@debian.org>  Wed, 10 Apr 2024 09:00:31 +0200

coq-record-update (0.3.3-2) binary; urgency=medium

  * Rebuild for binary compatibility.

 -- Julien Puydt <jpuydt@debian.org>  Sat, 30 Mar 2024 09:25:39 +0100

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: coq-record-update
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
+Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders: Julien Puydt <jpuydt@debian.org>
 Section: ocaml
 Priority: optional

=== debian/watch ===
version=4
https://github.com/tchajed/coq-record-update/tags .*/v?([\d\.]+).tar.gz

## coq-record-update 0.3.6

=== debian/changelog ===
coq-record-update (0.3.6-2) experimental; urgency=medium

  * Strenghten depends on coq/rocq.

 -- Julien Puydt <jpuydt@debian.org>  Tue, 11 Nov 2025 18:31:40 +0100

coq-record-update (0.3.6-1) experimental; urgency=medium

  * Bump standards-version to 4.7.2.
  * New upstream release.

 -- Julien Puydt <jpuydt@debian.org>  Wed, 29 Oct 2025 09:22:10 +0100

=== debian/control ===
--- 
+++ 
@@ -3,9 +3,9 @@
 Uploaders: Julien Puydt <jpuydt@debian.org>
 Section: ocaml
 Priority: optional
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
-Build-Depends: coq,
+Build-Depends: coq (>= 9),
                debhelper-compat (= 13),
                dh-coq,
                dh-ocaml,

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,9 @@
 #!/usr/bin/make -f
 
+export DEB_BUILD_OPTIONS += noautodbgsym
+
 %:
-	dh $@ --with coq
+	dh $@ --with coq,ocaml
 
 override_dh_auto_clean:
 	make clean
